[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDefCollection.IndexOf

Find location of item by name

## Declaration

Source position: db.pas line 162

`public function TDefCollection.IndexOf(`
`const AName: string`
`):LongInt;`

## Arguments

`AName` |  | Name to look for. (case insensitive)

## Function result

Index of the found item, or -1 if none was found.

## Description

IndexOf searches in the collection for an item whose Name property matches AName and returns the index of the item if it finds one. If no item is found, -1 is returned. The search is performed case-insensitive.

## See also

TDefCollection.Find |  | Find an item by name
TNamedItem.Name |  | Name of the item

Documentation generated on: Feb 26 2014